+2010-04-23 Jim Meyering <meyering@redhat.com>
+
+ vc-list-files tests: convert to use init.sh
+ * tests/test-vc-list-files-cvs.sh: Invoke "$srcdir/init.sh" and
+ path_prepend_.
+ Use Exit, not exit.
+ Use skip_ rather than open coding it.
+ Remove trap set-up and compare definitions.
+ * tests/test-vc-list-files-git.sh: Likewise.
+ * modules/vc-list-files-tests (Files): Add tests/init.sh.
+
2010-04-22 Simon Josefsson <simon@josefsson.org>
* top/maint.mk (sc_prohibit_backup_files): Prohibit checked in
Files:
tests/test-vc-list-files-git.sh
tests/test-vc-list-files-cvs.sh
+tests/init.sh
Depends-on:
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>. */
-tmpdir=vc-cvs-$$
-trap 'st=$?; cd '"`pwd`"' && rm -rf $tmpdir; exit $st' 0
-trap '(exit $?); exit $?' 1 2 13 15
-
-if ( diff --version < /dev/null 2>&1 | grep GNU ) 2>&1 > /dev/null; then
- compare() { diff -u "$@"; }
-elif ( cmp --version < /dev/null 2>&1 | grep GNU ) 2>&1 > /dev/null; then
- compare() { cmp -s "$@"; }
-else
- compare() { cmp "$@"; }
-fi
+: ${srcdir=.}
+. "$srcdir/init.sh"; path_prepend_ .
+tmpdir=vc-cvs
repo=`pwd`/$tmpdir/repo
fail=0
# without cvs, skip the test
# The double use of 'exit' is needed for the reference to $? inside the trap.
{ ( cvs -Q -d "$repo" init ) > /dev/null 2>&1 \
- || { echo "Skipping test: cvs not found in PATH"; (exit 77); exit 77; }; } &&
+ || skip_ "cvs not found in PATH"; } &&
mkdir w && cd w &&
mkdir d &&
touch d/a b c &&
test $ok = 0 && fail=1
done
-(exit $fail); exit $fail
+Exit $fail
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>. */
-if ( diff --version < /dev/null 2>&1 | grep GNU ) 2>&1 > /dev/null; then
- compare() { diff -u "$@"; }
-elif ( cmp --version < /dev/null 2>&1 | grep GNU ) 2>&1 > /dev/null; then
- compare() { cmp -s "$@"; }
-else
- compare() { cmp "$@"; }
-fi
+: ${srcdir=.}
+. "$srcdir/init.sh"; path_prepend_ .
tmpdir=vc-git-$$
-trap 'st=$?; cd '"`pwd`"' && rm -rf $tmpdir; exit $st' 0
-trap '(exit $?); exit $?' 1 2 13 15
-
GIT_DIR= GIT_WORK_TREE=; unset GIT_DIR GIT_WORK_TREE
fail=1
# without git, skip the test
# The double use of 'exit' is needed for the reference to $? inside the trap.
{ ( git init -q ) > /dev/null 2>&1 \
- || { echo "Skipping test: git not found in PATH"; (exit 77); exit 77; }; } &&
+ || skip_ "git not found in PATH"; } &&
mkdir d &&
touch d/a b c &&
git config user.email "you@example.com" &&
compare expected actual &&
fail=0
-(exit $fail); exit $fail
+Exit $fail